File: update-autotools

package info (click to toggle)
quagga 1.2.4-4
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 16,788 kB
  • sloc: ansic: 262,230; sh: 5,570; makefile: 717; perl: 329; lisp: 62; awk: 30
file content (28 lines) | stat: -rwxr-xr-x 697 bytes parent folder | download | duplicates (8)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
#! /bin/sh
#
# When local system does not have the latest autoconf/automake
#        -- Kunihiro Ishiguro <kunihiro@zebra.org>
#

rm -f config.cache Makefile.in aclocal.m4 config.h.in configure
rm -rf config.guess config.sub ltmain.sh
rm -rf autom4te.cache

echo "This $0 script is deprecated, and will be removed at some stage."
echo "Please use the 'autoreconf' command included with autoconf."

echo "TOOLS VERIONS:"
for tool in autoheader autoconf libtool libtoolize aclocal automake; do
  $tool --version | head -1
done

echo "ACLOCAL:"
aclocal -I m4
echo "AUTOHEADER:"
autoheader
echo "AUTOCONF:"
autoconf
echo "LIBTOOLIZE:"
libtoolize -c
echo "AUTOMAKE"
automake --gnu --add-missing --copy